🖥

Rails6 – Webpacker::Manifest::MissingEntryError を解決する

2023/09/01に公開

ページアクセスすると Webpacker::Manifest::MissingEntryError が発生する

解決

Gemfile で webpackerのバージョンを上げる

gem 'webpacker', '~> 5.0'
bundle install

Webpackerの実行

nodeバージョンによってはSSL関係のエラー ( ERR_OSSL_EVP_UNSUPPORTED ) が出るので、環境変数 NODE_OPTIONS=--openssl-legacy-provider を付ける

rails webpacker:install
NODE_OPTIONS=--openssl-legacy-provider rails webpacker:compile

チャットメンバー募集

何か質問、悩み事、相談などあればLINEオープンチャットもご利用ください。

https://line.me/ti/g2/eEPltQ6Tzh3pYAZV8JXKZqc7PJ6L0rpm573dcQ

Twitter

https://twitter.com/YumaInaura

公開日時

2023-01-07

Discussion